Bug 220723 - Wine submenu appears in 3 places
Wine submenu appears in 3 places
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
: 231701 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-24 10:20 EST by Julian Sikorski
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-03 17:03:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixed wine.menu file (636 bytes, text/plain)
2006-12-24 10:20 EST, Julian Sikorski
no flags Details

  None (edit)
Description Julian Sikorski 2006-12-24 10:20:59 EST
Description of problem:
I know it's my fault. I have noticed that when wine.menu file I wrapped up is
used, wine submenu is displayed not only in main applications menu, but in
administration and server settings ones as well. I have found a (probably) dirty
way of fixing this problem. The thing is: does somebody know a better way?
Comment 1 Julian Sikorski 2006-12-24 10:20:59 EST
Created attachment 144344 [details]
Fixed wine.menu file
Comment 2 Andreas Bierfert 2006-12-24 10:23:14 EST
Will look into it ... Thanks for reporting.
Comment 3 Andreas Bierfert 2007-03-10 19:04:54 EST
*** Bug 231701 has been marked as a duplicate of this bug. ***
Comment 4 vfiend 2007-03-10 19:17:27 EST
My bug is a duplicate? But this bug is about the Wine submenu also appearing
under  other non-Application menus (I don't have that problem). Oh well.
Comment 5 Andreas Bierfert 2007-03-10 19:25:46 EST
It at least (to my opinion) has the same cause thats why I marked it as a
duplicate. I will try to figure out the 'right' way to fix this till next wine
release.
Comment 6 Andreas Bierfert 2007-04-15 06:40:13 EDT
Would you please _not_ set priority flags for bugs that are already assigned and
acked by the respective owner. Thanks.

Here is a little status upgrade on the road to .35:
I looked into the issue a bit and the more I look at it this is not a wine bug.
Wine uses ~/.wine/drive_c as root for the installed apps. This means everything
that is installed and done for wine is user specific which is good. This leads
to some problems. Say a user installs a software which creates/adds icons to the
start menu. Wine then uses ~/.local/share/ to store these desktop entries (as
they are per user). The wine submenu created by the fedora package however is a
system directory. I tried with gnome here and gnome at least does not merge
stuff from system and .local folders if they have the same name but instead
displays two folders, one with the desktop stuff from the package and one from
the installed applications.

The question is now how to 'fix' this. Actually what is done by at least gnome
is somewhat right. If a menu folder exists in both ~/.local and in the system
directory and you want to make sure specific entries that exist in both folders
don't get overwritten or renamed you have to display both.

Here are some ideas on how to solve this:
1) Stick the wine folder from the fedora package back at applications where it
came from.
Problem with this is that people have to look for the wine tools there.
2) Rename the wine tools folder to 'wine-tools'
This way there is no duplicate entry but this imho bloats the main menu for
people having wine installed.
3) Do not ship special desktop stuff with the package for the system folder and
instead add the wine tools desktop entries on creation of ~/.wine
This options would solve the issues with two folders in the main menu and some
other thing but usually people do not run wineprefixcreate often and before they
do they won't have access to the wine tools from the menu.

I personally think what would be best is to kick the wine tools from the main
menu and leave them where they came from (1) and also patch wineprefixcreate to
add them to the stuff in ~/.local (3).

If nobody objects I will prepare a patch and push .35 tomorrow...
Comment 7 Andreas Bierfert 2007-04-16 18:06:09 EDT
After not being happy with these solutions I took the time to read the desktop
menu specification. They have a whole section about merging menues. I already
played around a bit with it today and I hope that I will be able to fix this
issue in a nice way so I will hold of .35 till tomorrow. If somebody with
experience wants to help me just let me know...
Comment 8 Marius Andreiana 2007-05-20 04:54:51 EDT
This list should offer help
http://lists.freedesktop.org/archives/xdg/

It would be best to fix this in the nice way (merged), even if it takes longer
Comment 9 Andreas Bierfert 2007-06-03 17:03:35 EDT
Should be fixed in the next release (Please check wine-0_9_38-2_fc7 and
wine-0_9_38-2_fc8). To fix problems for your current menu run
/usr/bin/wineshelllink-fedora. Subsequent additions from wine should then
automatically be right.
Comment 10 Fedora Update System 2007-06-04 00:14:06 EDT
wine-0.9.38-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Marius Andreiana 2007-06-28 16:48:28 EDT
Looking great now, thanks Andreas!

Note You need to log in before you can comment on or make changes to this bug.